Subject: Re: [PATCH 08/10] macintosh: Use the new of_device common uevent handler

From: Sylvain Munaut <[email-masked]>
Date: Tue, 27 Mar 2007 09:11:12 +0200

Benjamin Herrenschmidt wrote:
> On Mon, 2007-02-12 at 23:13 +0100, Sylvain Munaut wrote:
>   
>> The generation of the uevent is now common to all bus using
>> of_device.
>>     
>
> I haven't managed to figure out why so far (a quick inspection of the
> code didn't show anything obvious) but with your patch, the snd-aoa
> driver fails to auto-load at boot... might be the modalias being broken,
> dunno.
>
>   

Hi Ben,

Thanks for testing. That issue looks weird.

I had a look at sound/aoa/soundbus/i2sbus/i2sbus-core.c , which is the
only part of aoa with of_device_id and I see that it uses the
MODULE_ALIAS directly :
MODULE_ALIAS("of:Ni2sTi2sC");
instead of using
MODULE_DEVICE_TABLE(of, i2sbus_match);
and letting modpost do the job. Because that module alias is not the one
that's gonna be generated by modpost.

But that doesn't explain why it worked before and not now ...

      Sylvain